Run of lintian-fixes for openssl

Try this locally (using the lintian-brush package):

debcheckout openssl
cd openssl
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
Opening branch at https://salsa.debian.org/debian/openssl.git/,branch=debian%2Funstable
Using cached branch https://janitor.debian.net/git/openssl/,branch=master
Resume branch URL: git+ssh://git@salsa.debian.org/janitor-bot/openssl.git
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 1005, in fetch_pack
    refs, server_capabilities = read_pkt_refs(proto)
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 219, in read_pkt_refs
    for pkt in proto.read_pkt_seq():
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 285, in read_pkt_seq
    pkt = self.read_pkt_line()
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 230, in read_pkt_line
    raise HangupException()
dulwich.errors.HangupException: The remote server unexpectedly closed the connection.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 456, in fetch_pack
    result = self._client.fetch_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 1007, in fetch_pack
    raise _remote_error_from_stderr(stderr)
dulwich.errors.HangupException: Host key verification failed.


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 264, in open_branch
    return dir.open_branch(name=name)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 557, in open_branch
    if not nascent_ok and ref not in self.get_refs_container():
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 578, in get_refs_container
    result = self.fetch_pack(lambda x: None, None,
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 465, in fetch_pack
    raise parse_git_hangup(self.transport.external_url(), e)
breezy.git.remote.RemoteGitError: Host key verification failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 453, in process_package
    resume_branch = open_branch(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 268, in open_branch
    raise converted
silver_platter.utils.BranchUnavailable: Host key verification failed.
Worker failed (worker-resume-branch-unavailable): Host key verification failed.
Elapsed time: 0:00:03.861290

Full worker log